#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 13. Programming

- Prev

  SCons-4.3.0

- Next

  Subversion-1.14.1

- Up
- Home

# slang-2.3.2

## Introduction to slang

S-Lang (slang) is an interpreted language that may be embedded into an application to make the application extensible. It provides facilities required by interactive applications such as display/screen management, keyboard input and keymaps.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://www.jedsoft.org/releases/slang/slang-2.3.2.tar.bz2

- Download MD5 sum: c2d5a7aa0246627da490be4e399c87cb

- Download size: 1.5 MB

- Estimated disk space required: 29 MB (add 4 MB for tests)

- Estimated build time: 0.4 SBU (add 0.2 SBU for tests)

### Slang Dependencies

#### Optional

libpng-1.6.37, PCRE-8.45, and Oniguruma

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/slang

## Installation of Slang

### Note

This package does not support parallel build.

Install slang by running the following commands:

    ./configure --prefix=/usr \
                --sysconfdir=/etc \
                --with-readline=gnu &&
    make -j1

To test the results, issue: make check.

Now, as the `root` user:

    make install_doc_dir=/usr/share/doc/slang-2.3.2   \
         SLSH_DOC_DIR=/usr/share/doc/slang-2.3.2/slsh \
         install &&

    chmod -v 755 /usr/lib/slang/v2/modules/*.so

## Command Explanations

`--with-readline=gnu`: This parameter sets GNU Readline to be used by the parser interface instead of the slang internal version.

make install_doc_dir=/usr/share/doc/slang-2.3.2 SLSH_DOC_DIR=/usr/share/doc/slang-2.3.2/slsh install: This command installs this package with a versioned documentation installation directory.

## Configuring slang

###

#### Config Files

`~/.slshrc` and `/etc/slsh.rc`

## Contents

Installed Program: slsh
Installed Libraries: libslang.so and numerous support modules
Installed Directories: /usr/lib/slang, /usr/share/doc/slang-2.3.2 and /usr/share/slsh

### Short Descriptions

slsh | is a simple program for interpreting slang scripts. It supports dynamic loading of slang modules and includes a Readline interface for interactive use

Last updated on

- Prev

  SCons-4.3.0

- Next

  Subversion-1.14.1

- Up
- Home